6.0.0-git
2019-05-22

[#14171] session timout is used for cookie timeout and session timeout
Summary session timout is used for cookie timeout and session timeout
Queue Horde Base
Queue Version Git master
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester o+horde (at) immerda (dot) ch
Created 2015-11-26 (1273 days ago)
Due
Updated 2016-02-11 (1196 days ago)
Assigned
Resolved 2016-02-11 (1196 days ago)
Milestone
Patch No

History
2016-02-11 15:34:27 Jan Schneider State ⇒ Rejected
 
2016-01-25 11:59:37 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
This can already be achieved by setting the 
$conf['session']['max_time'] parameter.
2015-11-28 03:10:40 Michael Rubinsky Type ⇒ Enhancement
Version ⇒ Git master
Queue ⇒ Horde Base
State ⇒ New
Priority ⇒ 1. Low
 
2015-11-26 13:27:22 o+horde (at) immerda (dot) ch Comment #2 Reply to this comment
Sorry this was supposed to go to the Horde Framework queue
2015-11-26 13:25:36 o+horde (at) immerda (dot) ch Comment #1
Type ⇒ Bug
Milestone ⇒
Queue ⇒ IMP
Summary ⇒ session timout is used for cookie timeout and session timeout
Priority ⇒ 1. Low
State ⇒ Unconfirmed
Patch ⇒ No
Reply to this comment
The configuration parameter session timeout is used for session 
timeout and cookie timeout. This situation is not satisfactory since 
many users will want to leave cookie timeout to 0 (forcing logout on 
browser window close) but sessions not to last indefinitely (e.g. 
making cookie a persisten security problem).

To solve this issue it would be advisable to have two different 
settings for cookie and session timeout.

Saved Queries